@import url(https://fonts.googleapis.com/css?family=Open+Sans:600);
.frame {
    position: absolute;
    display: flex;
    flex-wrap: wrap;
    top: 50%;
    left: 50%;
    width: 400px;
    height: 400px;
    margin-top: -200px;
    margin-left: -200px;
    border-radius: 2px;
    box-shadow: 1px 2px 10px 0 rgba(0,0,0,0.3);
    background: #fff;
    color: #fff;
    font-family: 'Open Sans', Helvetica, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    overflow: hidden;
}

.center {
    display: flex;
    flex-wrap: wrap;
}

.card {
    position: relative;
}

.card:hover .fab{
   transform: scale(1);
    opacity: 1;
}

.card:hover img{
    filter: blur(4px);
}

.fab {
    position: absolute;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background: #EC6565;
    color: #FFFFFF;
    z-index: 2;
    -webkit-appearance: none;
    font-size: 3rem;
    font-weight: lighter;
    -webkit-transform: scale(3);
    -moz-transform: scale(3);
    -ms-transform: scale(3);
    -o-transform: scale(3);
    transform: scale(3);
    opacity: 0;
    border: 2px solid white ;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    cursor: pointer;
}

.add {
    left: calc(50% - 30px);
    top: calc(50% - 30px);
}

.details {
    opacity: 0;
    align-items: center;
    flex-direction: column;
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100%;
    background: salmon;
    transition: all 0.5s;
    -webkit-animation: top-down 1s;
    -o-animation: top-down 1s;
}

.active {
    opacity: 1;
    z-index: 2;
}

.stats {
    position: relative;
    width: 100%;
    text-align: center;
}

.name {
    position: relative;
    display: block;
    text-align: center;
    font-size: 1.5rem;
    margin-top: 72px;
}

.call, .message, .like, .close {
    z-index: 2;
    opacity: 1;
    margin-top: 36px;
    font-size: 5px;;
    width: 20px;
    height: 20px;
}

.call {
    left: calc((400px - 60px)/3);
}

.message {
    left: calc((400px - 60px)/3 + 90px);
}

.like {
    left: calc((400px - 60px)/3 + 180px);
}

.close {
    position: absolute;
    width: 20px;
    height: 20px;
    font-size: 5px;
    right: 30px;
    top: 30px;
    margin-top: 0;
}

.dp {
    width: 120px;
    height: 120px;
    position: absolute;
    border-radius: 50%;
    border: 3px solid white;
    top: -130px;
    left: 140px;
}


@keyframes top-down {
    from {
        -webkit-transform: translateY(-400px);
        -moz-transform: translateY(-400px);
        -ms-transform: translateY(-400px);
        -o-transform: translateY(-400px);
        transform: translateY(-400px);
    }
    to {
        -webkit-transform: translateY(0px);
        -moz-transform: translateY(0px);
        -ms-transform: translateY(0px);
        -o-transform: translateY(0px);
        transform: translateY(0px);
    }
}


